Description

Currently, there is support for youtube books. going forward, please add support for non-youtube books also. For example, we
should be able to support Python library reference.

In youtube books, for any url U, we can have multiple documents with o-url starting with U (U, U&t=ks, U&t=Is etc).

Similarly, in non-youtube books, for any url U, we can have multiple documents with o-url starting with U (U, U#p1, U#p2 etc).
In all cases, we need to get purple links and results for all such documents.

Two changes seem to be required in code:

1. purpleLinkPhrases structure is created only for youtube books during ingestion. please do this for non-youtube books.
2. getPurpleLinksInfoExtFull: instead of looking for U and U&<time>, look for U#<id> also.

History

#1 - 04/10/2023 12:20 PM - Ram Kordale

- Subject changed from getPurpleLinksinfoExtFullText API to provide purple links in html part of the document to getPurpleLinksinfoExtFull API
support for all book types

- Description updated

#2 - 04/11/2023 11:34 AM - Ram Kordale
- Description updated

- Assignee set to Venmubhilan B

#3 - 04/12/2023 04:53 AM - Venmuhilan B
- Status changed from New to In Progress

- % Done changed from 0 to 20

#4 - 04/12/2023 07:25 AM - Venmuhilan B
- % Done changed from 20 to 50

#5 - 04/12/2023 09:46 AM - Venmuhilan B
- % Done changed from 50 to 80

#6 - 04/12/2023 01:50 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#7 - 04/17/2023 04:44 AM - Ram Kordale

- Priority changed from Urgent to Immediate

#8 - 04/19/2023 05:00 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#9 - 04/19/2023 05:30 AM - Ram Kordale
- Status changed from Feedback to Reopened

- Assignee changed from Ayush Khandelwal to Venmuhilan B

While the o-url stored in our datastore is O, we should handle input that has a string following O. A simplified requirement is:
(1) if site is youtube.com, extract from beginning upto ?v=<videold>
(2) for other sites, extract (a) url until # excluding # (b) url before '?"; so, this will include upto "#<id>"

#10 - 04/19/2023 05:31 AM - Ram Kordale

- Priority changed from Immediate to Urgent

#11 - 04/19/2023 05:31 AM - Venmuhilan B

- Status changed from Reopened to In Progress

#12 - 04/20/2023 09:36 AM - Venmuhilan B

- Status changed from In Progress to Resolved

#13 - 04/26/2023 11:19 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#14 - 04/28/2023 05:08 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#15 - 05/02/2023 06:06 AM - Ram Kordale
- Status changed from Feedback to Closed
